Index: sasmodels/models/_bessel.py
===================================================================
--- sasmodels/models/_bessel.py	(revision 275b98e55e7cd22a9638e6d15691232d0bc69177)
+++ sasmodels/models/_bessel.py	(revision 275b98e55e7cd22a9638e6d15691232d0bc69177)
@@ -0,0 +1,93 @@
+r"""
+For information about polarised and magnetic scattering, click here_.
+
+.. _here: polar_mag_help.html
+
+Definition
+----------
+
+The 1D scattering intensity is calculated in the following way (Guinier, 1955)
+
+.. math::
+
+    I(q) = \frac{\text{scale}}{V} \cdot \left[
+        3V(\Delta\rho) \cdot \frac{\sin(qr) - qr\cos(qr))}{(qr)^3}
+        \right]^2 + \text{background}
+
+where *scale* is a volume fraction, $V$ is the volume of the scatterer,
+$r$ is the radius of the sphere, *background* is the background level and
+*sld* and *solvent_sld* are the scattering length densities (SLDs) of the
+scatterer and the solvent respectively.
+
+Note that if your data is in absolute scale, the *scale* should represent
+the volume fraction (which is unitless) if you have a good fit. If not,
+it should represent the volume fraction times a factor (by which your data
+might need to be rescaled).
+
+The 2D scattering intensity is the same as above, regardless of the
+orientation of $\vec q$.
+
+Validation
+----------
+
+Validation of our code was done by comparing the output of the 1D model
+to the output of the software provided by the NIST (Kline, 2006).
+Figure :numref:`figure #sphere-comparison` shows a comparison of the output
+of our model and the output of the NIST software.
+
+.. _sphere-comparison:
+
+.. figure:: img/sphere_comparison.jpg
+
+    Comparison of the DANSE scattering intensity for a sphere with the
+    output of the NIST SANS analysis software. The parameters were set to:
+    *scale* = 1.0, *radius* = 60 |Ang|, *contrast* = 1e-6 |Ang^-2|, and
+    *background* = 0.01 |cm^-1|.
+
+
+References
+----------
+
+A Guinier and G. Fournet, *Small-Angle Scattering of X-Rays*,
+John Wiley and Sons, New York, (1955)
+
+*2013/09/09 and 2014/01/06 - Description reviewed by S King and P Parker.*
+"""
+
+from numpy import inf
+
+name = "bessel"
+title = "Bessel function testing"
+description = """\
+Levraging current infrastracture to test Bessel function performance on
+"""
+category = "special_fucntions:bessel"
+
+#             ["name", "units", default, [lower, upper], "type","description"],
+#Bessel
+parameters = [
+    ["ignored", "", 0.0, [-inf, inf], "", "no parameterless functions"],
+             ]
+
+source = ["lib/sas_gamma.c"]
+
+# No volume normalization despite having a volume parameter
+# This should perhaps be volume normalized?
+form_volume = """
+    """
+
+Iq = """
+    return sas_gamma(q);
+    """
+
+Iqxy = """
+    // never called since no orientation or magnetic parameters.
+    //return -1.0;
+    """
+
+# VR defaults to 1.0
+
+demo = dict(scale=1, background=0,
+            )
+oldname = "Bessel"
+oldpars = dict()
Index: smodels/models/bessel.py
===================================================================
--- sasmodels/models/bessel.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
+++ 	(revision )
@@ -1,93 +1,0 @@
-r"""
-For information about polarised and magnetic scattering, click here_.
-
-.. _here: polar_mag_help.html
-
-Definition
-----------
-
-The 1D scattering intensity is calculated in the following way (Guinier, 1955)
-
-.. math::
-
-    I(q) = \frac{\text{scale}}{V} \cdot \left[
-        3V(\Delta\rho) \cdot \frac{\sin(qr) - qr\cos(qr))}{(qr)^3}
-        \right]^2 + \text{background}
-
-where *scale* is a volume fraction, $V$ is the volume of the scatterer,
-$r$ is the radius of the sphere, *background* is the background level and
-*sld* and *solvent_sld* are the scattering length densities (SLDs) of the
-scatterer and the solvent respectively.
-
-Note that if your data is in absolute scale, the *scale* should represent
-the volume fraction (which is unitless) if you have a good fit. If not,
-it should represent the volume fraction times a factor (by which your data
-might need to be rescaled).
-
-The 2D scattering intensity is the same as above, regardless of the
-orientation of $\vec q$.
-
-Validation
-----------
-
-Validation of our code was done by comparing the output of the 1D model
-to the output of the software provided by the NIST (Kline, 2006).
-Figure :numref:`figure #sphere-comparison` shows a comparison of the output
-of our model and the output of the NIST software.
-
-.. _sphere-comparison:
-
-.. figure:: img/sphere_comparison.jpg
-
-    Comparison of the DANSE scattering intensity for a sphere with the
-    output of the NIST SANS analysis software. The parameters were set to:
-    *scale* = 1.0, *radius* = 60 |Ang|, *contrast* = 1e-6 |Ang^-2|, and
-    *background* = 0.01 |cm^-1|.
-
-
-References
-----------
-
-A Guinier and G. Fournet, *Small-Angle Scattering of X-Rays*,
-John Wiley and Sons, New York, (1955)
-
-*2013/09/09 and 2014/01/06 - Description reviewed by S King and P Parker.*
-"""
-
-from numpy import inf
-
-name = "bessel"
-title = "Bessel function testing"
-description = """\
-Levraging current infrastracture to test Bessel function performance on
-"""
-category = "special_fucntions:bessel"
-
-#             ["name", "units", default, [lower, upper], "type","description"],
-#Bessel
-parameters = [
-    ["ignored", "", 0.0, [-inf, inf], "", "no parameterless functions"],
-             ]
-
-source = ["lib/sas_gamma.c"]
-
-# No volume normalization despite having a volume parameter
-# This should perhaps be volume normalized?
-form_volume = """
-    """
-
-Iq = """
-    return sas_gamma(q);
-    """
-
-Iqxy = """
-    // never called since no orientation or magnetic parameters.
-    //return -1.0;
-    """
-
-# VR defaults to 1.0
-
-demo = dict(scale=1, background=0,
-            )
-oldname = "Bessel"
-oldpars = dict()
